org.red5.server.api

## Enum IConnection.Encoding

- java.lang.Object
- - java.lang.Enum<IConnection.Encoding>
  - - org.red5.server.api.IConnection.Encoding

All Implemented Interfaces:
  Serializable, Comparable<IConnection.Encoding>

Enclosing interface:
  IConnection

    public static enum IConnection.Encoding
    extends Enum<IConnection.Encoding>

AMF version types, either AMF0 or AMF3.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`AMF0`
`AMF3`

### Method Summary

Methods
`static IConnection.Encoding` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static IConnection.Encoding[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AMF0

    public static final IConnection.Encoding AMF0

#### AMF3

    public static final IConnection.Encoding AMF3

### Method Detail

#### values

    public static IConnection.Encoding[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (IConnection.Encoding c : IConnection.Encoding.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static IConnection.Encoding valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null